Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025160
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2013-11-14 18:252014-02-13 11:54
ReporterjonalegriaesarteView Statuspublic 
Assigned Toshankarb 
PrioritynormalResolutionfixedFixed in Version3.0PR14Q2
StatusclosedFix in branchFixed in SCM revision67d65542edde
ProjectionnoneETAnoneTarget Version3.0PR14Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025160: Display logic depending on dates is not working fine

DescriptionDisplay logic depending on dates is not working fine. For example @#Date@ = @DateOrdered@
Steps To Reproduce- As system administrator, access to sales order window, header tab, Business partner field
- Add display logic: @#Date@ = @DateOrdered@
- Access to window. Business partner window never shows
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0064038)
hgbot (developer)
2014-02-11 08:01

Repository: erp/devel/pi
Changeset: 67d65542eddebefd09e27629ea0d757ea5d3b4cf
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Tue Feb 11 12:27:23 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/67d65542eddebefd09e27629ea0d757ea5d3b4cf [^]

Fixes Issue 0025160: Display logic depending on dates is not working fine

When generating runtime display logic, for date fields, date is now parsed and then compared.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/DynamicExpressionParser.java
---
(0064181)
hudsonbot (developer)
2014-02-12 18:30

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d1a5bb862230 [^]
Maturity status: Test
(0064219)
AugustoMauch (developer)
2014-02-13 11:54

Code reviewed and verified in pi@9d50bf45a6c9

- Issue History
Date Modified Username Field Change
2013-11-14 18:25 jonalegriaesarte New Issue
2013-11-14 18:25 jonalegriaesarte Assigned To => jonalegriaesarte
2013-11-14 18:25 jonalegriaesarte Modules => Core
2013-11-14 18:25 jonalegriaesarte Triggers an Emergency Pack => No
2013-12-09 16:10 jonalegriaesarte Target Version 3.0MP31 => 3.0MP32
2014-01-09 12:09 jonalegriaesarte Assigned To jonalegriaesarte => shankarb
2014-02-11 07:58 shankarb Review Assigned To => AugustoMauch
2014-02-11 07:58 shankarb Issue Monitored: AugustoMauch
2014-02-11 08:01 hgbot Checkin
2014-02-11 08:01 hgbot Note Added: 0064038
2014-02-11 08:01 hgbot Status new => resolved
2014-02-11 08:01 hgbot Resolution open => fixed
2014-02-11 08:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/67d65542eddebefd09e27629ea0d757ea5d3b4cf [^]
2014-02-12 18:30 hudsonbot Checkin
2014-02-12 18:30 hudsonbot Note Added: 0064181
2014-02-13 11:54 AugustoMauch Note Added: 0064219
2014-02-13 11:54 AugustoMauch Status resolved => closed
2014-02-13 11:54 AugustoMauch Fixed in Version => 3.0MP32


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker